/*
 * Copyright, Innovate IT AG, Switzerland
 * 
 * Created by: cyrill
 * Date:       Oct 27, 2004
 * Filename:   ContractAspect.java
 * ====================================================================
 */
 
package ch.ruettimac.aspect;

import ch.innovate.tools.contract.AbstractContractAspect;
import ch.innovate.tools.contract.ContractManager;
import ch.ruettimac.aspect.contract.ContractShowCaseContractManager;
/** 
 * Description.
 * 
 * @author $Author$
 * @version $Revision$ $Date$
 * 
 * @since
 */
public aspect ContractAspect extends AbstractContractAspect {

    public pointcut targetPointcut() : execution(* ContractShowCase.dummyMethod(..));
    
    public ContractManager getContractManager() {
        return new ContractShowCaseContractManager();
    }
}
